<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% html_title(t(:label_administration), "#{ t(:label_change_status_of_user, username: @user.name)}") -%>
<% local_assigns[:additional_breadcrumb] = @user.name %>

<% new_status =  t("user.#{@status_change}") %>
<%= labelled_tabular_form_for :user, url: change_status_user_path(@user, @status_change => '1'), html: { method: :post, class: 'form' } do %>
    <section class="form--section">
      <h3 class="form--section-title">
        <%= @user.name %>:
        <%= new_status %>
      </h3>

      <p>
        <%= t('user.confirm_status_change', name: @user.name) %>
      </p>

      <%=
        render(AttributeGroups::AttributeGroupComponent.new) do |component|
          component.with_attribute(key: User.human_attribute_name(:login),
                                   value: @user.login)

          component.with_attribute(key: User.human_attribute_name(:mail),
                                   value: @user.mail)

          component.with_attribute(key: User.human_attribute_name(:name),
                                   value: @user.name)

          component.with_attribute(key: t(:label_current_status),
                                   value: full_user_status(@user, true))

          component.with_attribute(key: t(:status_change),
                                   value: new_status)
      end %>

    </section>
    <hr class="form--separator" />
      <%= styled_button_tag '', class: '-primary' do %>
        <%= op_icon('button--icon icon-checkmark') %>
        <span class="button--text"><%= new_status %></span>
      <% end %>
<% end %>
